\documentclass[tikz,12pt]{standalone}

\usepackage{tikz}
\usetikzlibrary{shapes.geometric}
\usetikzlibrary{%
    calc,%
    decorations.pathmorphing,%
    fadings,%
    shadings%
}

\renewcommand*{\familydefault}{\sfdefault}
    
\begin{document}

\tikzstyle{objective}=[
trapezium,
inner sep=0.1pt,
left color=gray!80!black,
right color=gray!20!white,
draw, thick]

\tikzstyle{dish}=[draw = blue!40!white, line width=0.5mm]

\tikzset{fontscale/.style = {font=\tiny\sffamily,}}
% r [(0.73568627450980395, 0.26039215686274508, 0.26509803921568614),
\definecolor{mblue}{rgb}{0.31686274509803924, 0.483921568627451, 0.62039215686274507}
\definecolor{mgreen}{rgb}{0.37647058823529422, 0.60705882352941176, 0.3694117647058824}
\definecolor{mgray}{rgb}{0.33333,0.3333,0.33333}

\newcommand{\drawobjective}[3]{
  % arugment 1 is some unique ider and #2 is the location
  % arugment 3 is the scale

  \pgfmathsetmacro\objtipWidth{7mm * #3}
  \pgfmathsetmacro\objtipHeight{2mm * #3}
  \pgfmathsetmacro\objbaseWidth{15mm * #3}
  \pgfmathsetmacro\objbaseHeight{8mm * #3}

	\node at #2
	[anchor=top side,
		objective,
		yshift=-0.3mm,
		trapezium angle=40,
		minimum width=\objtipWidth,
    minimum height=\objtipHeight,
    draw, ultra thin] (objtip#1) {};
	\node at (objtip#1.south)
	[anchor= top side,
		objective,
		ultra thin,
		trapezium angle=70,
		minimum width=\objbaseWidth,
		minimum height=\objbaseHeight] (objbase#1) {};
}

\newcommand{\drawWilcoDish}[2]{
	\coordinate (centerofglass#1) at #2;

	%% cover slip
	\path [draw] ($(centerofglass#1) + (-1.5, 0)$) --
	($(centerofglass#1) + (+1.5, 0)$);

	\coordinate (dishSW#1) at ($(centerofglass#1) + (-2,0)$);
	\coordinate (dishNW#1) at ($(dishSW#1) + (0, 1.3)$);
	\coordinate (dishSE#1) at ($(centerofglass#1) + (2,0)$);
	\coordinate (dishNE#1) at ($(dishSE#1) + (0, 1.3)$);
	\path[dish] ($(centerofglass#1) + (-1.5, 0)$) -- (dishSW#1) -- (dishNW#1);
	\path[dish] ($(centerofglass#1) + (+1.5,0)$) -- (dishSE#1) -- (dishNE#1);
	% lid
	\coordinate (lidNW#1) at ($(dishNW#1) + (-0.15, 0.1)$);
	\coordinate (lidNE#1) at ($(dishNE#1) +  (0.15, 0.1)$);
	\path[dish] ($(lidNW#1) + (0, -0.8)$) -- (lidNW#1) -- (lidNE#1) -- ($(lidNE#1) + (0, -0.8)$);
}


\begin{tikzpicture}[fontscale,every node/.style={text=mgray}]
	%fig_width_medium_cm = 11.4
  %fig_width_medium_cm = 8cm 
  
	\node (bgimage) [anchor=south west] at (0, 0){\includegraphics{bf_movie_main.pdf}};
	\coordinate (origin) at ($(bgimage.west) + (0.93cm, 2.30cm)$);

	%\coordinate (origin) at (0, 0); %$(bgimage.north west) + (3cm, -3cm)$);
  %\node at (origin) {X};
  
  %%% Image Guide Lines
  \begin{scope}[shift={(origin)}]
    \coordinate (end) at (2.80, 2.93);
    %\draw [blue, thin]  (origin) rectangle (end); %border
    \draw [white, fill=white, ultra thick ]  (origin) rectangle (end);
    
    % \draw [step=1.0,red,thin,anchor=north west] (origin) grid (end);
    % \coordinate (halfway) at ($ (origin) !.5! (end) $);
    % \draw (origin |- halfway) -- (halfway -| end);
    % \draw (origin -| halfway) -- (halfway |- end);

  \end{scope}


  \pgfmathsetmacro{\myscale}{0.5}


  \begin{scope}[shift={(origin)}, scale=\myscale]


		%%%%%%%%%%%%%%%%%%%5
		%%%%  fresh agar
		%%%%%%%%%%%%%%%%%%5
    \drawWilcoDish{1}{(2.8, 4)}
    \pgfmathsetmacro\agarWidth{1.95cm * \myscale}
    \pgfmathsetmacro\agarHeight{1cm * \myscale}
    
		\node at (centerofglass1)
		[rectangle,
      draw,
      ultra thin,
      minimum width=\agarWidth,
		  minimum height=\agarHeight,
			anchor =south west,
			fill=brown!20!white] (fresh_agar) {};

		%%% drop of cells
		\node at (fresh_agar.south west)
		[semicircle,
			draw=blue!60!white,
			minimum width=0.2cm,
			minimum height=0.15cm,
			inner sep = 0pt,
			anchor =arc end,
			rotate=90,
			left color=yellow!50!white,
			right color=yellow!20!white] (old_agar) {};


		%%%%%%%%%%%%%%%%%%%5
		%%%%  Grown biofilm  centerofglass2
		%%%%%%%%%%%%%%%%%%5
		\drawWilcoDish{2}{(2.8, 1.15)}
		\node at (centerofglass2)
		[rectangle,
      draw,
      ultra thin,
			minimum width=\agarWidth,
			minimum height=\agarHeight,
			anchor =south west,
			left color=brown!50!white,
			right color=brown!20!white] (old_agar) {};

		% % biofilm
		\path[draw=brown, thin, fill=yellow]
		($(old_agar.south west) + (0, 0.01)$)
		-- ++ (-0.3, 0.0)
		decorate [decoration={random steps,segment length=0.07cm,amplitude=.03cm}]
			{ -- ++ (0.3, 0.9) -- ++ (+0.0, 0)}
		-- ($(old_agar.south west) + (0, 0.01)$);

		\drawobjective{2}{($(centerofglass2) + (-0.3, 0.0)$) }{\myscale}
    
    \draw [->, line width=1mm, >=latex] ($(centerofglass1) + (0, -0.25)$) -- ($(centerofglass2) + (0, 1.5)$);
    \node [anchor=west] at ($(centerofglass1) + (0.25, -0.7)$) {}; %{+ 12 hours};


	\end{scope}

  %%%%%%%%%%%%%%%%%
  %% Labels
  %%%%%%%%%%%%%%%%% 
  \tikzstyle{labelarrow}=[-latex, thick]

  \begin{scope}[shift={(origin)}]
	
	\node [anchor=west] (label_inocul) at ($(lidNW1) + (-1.3,-0.3)$) {Inoculum};
    \draw [labelarrow]  (label_inocul) to [out=0, in=160] ($(fresh_agar.west) + (-0.15, -0.0)$);
	
	\node [anchor=west] (label_coverslip) at ($(label_inocul.west) + (0, -0.8)$) {Glass bottom};
    \draw [labelarrow]  (label_coverslip) to [out=0, in=250] ($(centerofglass1) + (-0.4, 0)$);
	
	% \node [anchor=west] (label_dish) at ($(label_coverslip.west) + (0, -0.5)$) {Dish};
    % \draw [labelarrow]  (label_dish) to (lidNW2);
	
	\node [anchor=west] (label_biofilm) at ($(label_coverslip.west) + (0, -1.0)$) {Biofilm};
	\draw [labelarrow] (label_biofilm) to [out=0, in=170] ($(old_agar.west) + (-0.1, -0.08)$);
	
	\node [anchor=west] (label_objective) at ($(label_biofilm.west) + (0, -0.5)$) {Objective};
    \draw [labelarrow]  (label_objective) to (objbase2.center);
    
	\node [anchor=west] (label_agarnew) at ($(old_agar.south west) + (0, -0.8)$) {MSgg agar};
	\draw [labelarrow] (label_agarnew) to ($(old_agar.center) + (0.1, -0.0)$);
	

    %\node at (old_agar.center) {MSgg Agar};
    %\node at (fresh_agar.center) {MSgg Agar};
	\end{scope}

\end{tikzpicture}
\end{document}